Name:		obex-data-server
Version:	0.4.6
Release:	6
Summary:	D-Bus service for Obex access

Group:		System/Servers
License:	GPLv2+
Source0:	http://tadas.dailyda.com/software/%{name}-%{version}.tar.gz
Url:		http://tadas.dailyda.com/blog
Patch0:		obex-data-server-0.4.6-build-fixes-1.patch

BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	bluez-devel
BuildRequires:	openobex-devel
BuildRequires:	gtk2-devel
BuildRequires:	pkgconfig(libusb)
BuildRequires:	libtool

%description
obex-data-server is a D-Bus service to allow sending and receiving files
using the ObexFTP and Obex Push protocols, common on mobile phones and
other Bluetooth-equipped devices.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x --enable-bip=gdk-pixbuf
%make

cat << EOF > README
Bug tracking system is at:
http://bugs.muiline.com/view_all_bug_page.php

Web page is at:
http://tadas.dailyda.com/blog/

SVN tree:
svn://svn.muiline.com/obex-data-server/trunk/

SVN browsing:
http://svn.muiline.com/cgi-bin/viewvc.cgi/obex-data-server/trunk/

EOF

%install
# FIXME files missing: http://bugs.muiline.com/view.php?id=42
#chmod a-x test/*.py
%makeinstall_std

%files
%doc AUTHORS ChangeLog NEWS README COPYING dbus-api.txt
#test/ods-dbus-test.c test/ods-server-test.py test/ods-session-test.py
%{_bindir}/obex-data-server
%{_datadir}/dbus-1/services/obex-data-server.service
%config %{_sysconfdir}/obex-data-server/*.xml
%{_mandir}/man1/obex-data-server.1.*

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.4.6-6
+ Revision: ce8a203
- MassBuild#440: Increase release tag


